Subject: Re: bug#77723: 31.0.50; Emacs Manual Minor Typo - Files - Image Mode
From: Eli Zaretskii <[email-masked]>
To: David Recor <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Apr 2025 11:34:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: David Recor <[email-masked]>
> Date: Thu, 10 Apr 2025 17:59:27 -0400
> 
> Emacs Manual Typo
> Location: Emacs Manual -> Files -> Image Mode
> 
> Issue Summary and fix: Below paragraph I believe the u should be the
> command 'image-mode-unmark-file'. 'image-mode-mark-file' was accidently
> listed for both commands m and u.
> 
> I tried hitting m more than once to see if it also works as a toggle but it
> does not appear to unmark, it only marks.
> 
> Thank you. Have a nice day.
> 
> Original text from manual:
>    When looking through images, it’s sometimes convenient to be able to
> mark the files for later processing (for instance, if you want to select
> a group of images to copy somewhere else).  The ‘m’
> (‘image-mode-mark-file’) command will mark the current file in any Dired
> buffer(s) that display the current file’s directory.  If no such buffer
> is open, the directory is opened in a new buffer.  To unmark files, use
> the ‘u’ (‘image-mode-mark-file’) command.  Finally, if you just want to
> copy the current buffers file name to the kill ring, you can use the ‘w’
> (‘image-mode-copy-file-name-as-kill’) command.

Thanks, the typo was already in Emacs 30, so I've now fixed that on
the emacs-30 release branch, and I'm therefore closing this bug.